Part Wedge
|
Menu location |
---|
Part → Create primitives → Wedge |
Workbenches |
Part, OpenSCAD |
Default shortcut |
None |
Introduced in version |
- |
See also |
Part Primitives |
Description
A Part Wedge is a parametric solid that can be created with the
Part Primitives command. It has four to six planar faces. It is defined by virtual front and rear main planes on which a rectangular face (the default), a single straight edge or a single vertex is created. These base shapes define the four quadrilateral or triangular faces that connect them. The resulting solid is only a true wedge if one of the base shapes is a rectangular face and the other a straight edge. In the coordinate system defined by its DataPlacement property, the virtual front and rear main planes of the wedge are plane-parallel to XZ plane, and the edges of the base shapes are parallel to the X or Z axis. All its coordinates are relative to that coordinate system.
Usage
See Part Primitives.
Example

A Part Wedge object created with the scripting example below is shown here.
Notes
- The values of the coordinates of the wedge must be such that a valid solid can be create. This means that the front and rear base shapes can both be single edges, but not if they are parallel. And if one of the base shapes is a vertex the other shape must be a rectangular face.
Properties
See also: Property editor.
A Part Wedge object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Wedge
- DataXmin (
Distance
): The lowest X coordinate of the front face of the wedge. The default is0mm
. - DataYmin (
Distance
): The Y coordinate of the front face of the wedge. The default is0mm
. - DataZmin (
Distance
): The lowest Z coordinate of the front face of the wedge. The default is0mm
. - DataX2min (
Distance
): The lowest X coordinate of the rear face of the wedge. The default is2mm
. - DataZ2min (
Distance
): The lowest Z coordinate of the rear face of the wedge. The default is2mm
. - DataXmax (
Distance
): The highest X coordinate of the front face of the wedge. The default is10mm
. - DataYmax (
Distance
): The Y coordinate of the rear face of the wedge. The default is10mm
. - DataZmax (
Distance
): The highest Z coordinate of the front face of the wedge. The default is10mm
. - DataX2max (
Distance
): The highest X coordinate of the rear face of the wedge. The default is8mm
. - DataZ2max (
Distance
): The highest Z coordinate of the rear face of the wedge. The default is8mm
.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Wedge can be created with the addObject()
method of the document:
wedge = FreeCAD.ActiveDocument.addObject("Part::Wedge", "myWedge")
- Where
"myWedge"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
wedge = doc.addObject("Part::Wedge", "myWedge")
wedge.Xmin = 1
wedge.Ymin = 2
wedge.Zmin = 3
wedge.X2min = 4
wedge.Z2min = 6
wedge.Xmax = 15
wedge.Ymax = 20
wedge.Zmax = 55
wedge.X2max = 10
wedge.Z2max = 12
wedge.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))
doc.recompute()
- Primitives: Box, Cylinder, Sphere, Cone, Torus, Tube, Create primitives, Shape builder
- Creation and modification: Create sketch, Extrude, Revolve, Mirror, Scale, Fillet, Chamfer, Make face from wires, Ruled Surface, Loft, Sweep, Section, Cross sections, 3D Offset, 2D Offset, Thickness, Projection on surface, Color per face
- Boolean: Make compound, Explode compound, Compound Filter, Boolean, Cut, Union, Intersection, Connect objects, Embed object, Cutout for object, Boolean fragments, Slice apart, Slice to compound, Boolean XOR, Check geometry, Defeaturing
- Other tools: Import CAD file, Export CAD file, Box selection, Create shape from mesh, Create points object from geometry, Convert to solid, Reverse shapes, Create simple copy, Create transformed copy, Create shape element copy, Refine shape, Attachment
- Preferences: Preferences, Fine tuning

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub